> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Profile Types

> Retrieve the profile types associated with a user across their connected apps.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/users/{user_id}/profile-types
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/users/{user_id}/profile-types:
    get:
      tags:
        - User
      summary: Get User Profile Types
      description: >-
        Retrieve the profile types associated with a user across their connected
        apps.
      operationId: c1.api.user.v1.UserService.GetUserProfileTypes
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            description: The ID of the user whose profile types are being retrieved.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.user.v1.GetUserProfileTypesResponse
          description: >-
            GetUserProfileTypesResponse is the response containing the profile
            types for a user.
      x-codeSamples:
        - lang: go
          label: GetUserProfileTypes
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.User.GetUserProfileTypes(ctx, operations.C1APIUserV1UserServiceGetUserProfileTypesRequest{\n        UserID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetUserProfileTypesResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.user.getUserProfileTypes({
                userId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.user.v1.GetUserProfileTypesResponse:
      description: >-
        GetUserProfileTypesResponse is the response containing the profile types
        for a user.
      properties:
        profileTypes:
          description: >-
            The list of profile types associated with the user across their
            connected apps.
          items:
            $ref: '#/components/schemas/c1.api.profiletype.v1.ProfileType'
          type:
            - array
            - 'null'
      title: Get User Profile Types Response
      type: object
      x-speakeasy-name-override: GetUserProfileTypesResponse
    c1.api.profiletype.v1.ProfileType:
      description: ProfileType represents a type of profile in the system
      properties:
        description:
          description: The description field.
          type:
            - string
            - 'null'
        displayToUser:
          description: >-
            Whether to display this profile type to users in profile page.
            Defaults to false if not set
          type:
            - boolean
            - 'null'
        iconUrl:
          description: The iconUrl field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
        name:
          description: The name field.
          type:
            - string
            - 'null'
        priority:
          description: The priority field.
          format: uint32
          type:
            - integer
            - 'null'
        sizes:
          description: icon sizes
          items:
            format: int32
            type: integer
          type:
            - array
            - 'null'
        slug:
          description: >-
            Add this field to allow users to reference profile type in cel
            expressions
          type:
            - string
            - 'null'
      title: Profile Type
      type: object
      x-speakeasy-name-override: ProfileType
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````